<?php 
	global $data;
	$image_width = sp_themeInit('post_single_image_size','width'); 
	$image_height = sp_themeInit('post_single_image_size','height');
	$blog_single_crop = $data[THEME_SHORTNAME.'blog_single_crop'];
	$blog_single_zoomcrop = $data[THEME_SHORTNAME.'blog_single_zoomcrop'];
	$blog_single_compression = $data[THEME_SHORTNAME.'blog_single_compression'];
	$post_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="nav-above" class="navigation group">
					<div class="nav-previous"><span class="arrow">&lt;</span><?php previous_post_link( '%link', '%title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title' ); ?><span class="arrow">&gt;</span></div>
				</div><!-- #nav-above -->

				<article id="post-<?php the_ID(); ?>" <?php post_class('group'); ?>>
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-meta">
						<?php sp_posted_on(); ?>
					</div><!-- .entry-meta -->
					<hr class="article-dash" />
                    	<img width="<?php echo $image_width; ?>" height="<?php echo $image_height; ?>" class="wp-post-image" alt="<?php echo the_title(); ?>" src="<?php echo bloginfo('template_url');?>/sp-framework/timthumb/timthumb.php?src=<?php echo $post_image_url[0]; ?>&amp;h=<?php echo $image_height; ?>&amp;w=<?php echo $image_width; ?>&amp;zc=<?php echo $blog_single_zoomcrop; ?>&amp;q=<?php echo $blog_single_compression; ?>&amp;a=<?php echo $blog_single_crop; ?>" />
					<div class="entry-content group">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'sp' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-content -->

					<div class="entry-utility">
						<?php sp_posted_in(); ?>
						<?php edit_post_link( __( 'Edit', 'sp' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-utility -->

				</article><!-- #post-## -->

<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info" class="group">
                    	<h2><?php printf( esc_attr__( 'About %s', 'sp' ), get_the_author() ); ?></h2>
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'sp_author_bio_avatar_size', 100 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							
							<?php the_author_meta( 'description' ); ?>
							<div id="author-link">
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'sp' ), get_the_author() ); ?>
								</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->
<?php endif; ?>
				<?php 
				if (isset($data[THEME_SHORTNAME.'show_related_posts']) && $data[THEME_SHORTNAME.'show_related_posts'] == 'true') {
					sp_related_post(); 
				} 
				?>
				<div id="nav-below" class="navigation group">
					<div class="nav-previous"><span class="arrow">&lt;</span><?php previous_post_link( '%link', '%title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title' ); ?><span class="arrow">&gt;</span></div>
				</div><!-- #nav-below -->
				<div class="btt group"><a href="#top" title="Back to Top">Back to Top &uarr;</a></div>
                        <ul class="social group">
                        <li>
						<?php if ($data[THEME_SHORTNAME.'gplusone_button'] == "true") :
                                if ($data[THEME_SHORTNAME.'gplusone_counter'] == '' || $data[THEME_SHORTNAME.'gplusone_counter'] == 'false') {
                                    $counter = 'false';	
                                } else {
                                    $counter = 'true';	
                                }
                            echo sp_gplusonebutton_shortcode(array('url' => 'post','size' => $data[THEME_SHORTNAME.'gplusone_size'], 'count' => $counter));
                        endif; ?>
						</li>
                        <li>
							<!--sharethis-->
							<?php if ( get_option( 'wpsc_share_this' ) == 1 ): ?>
							<div class="st_sharethis" displayText="ShareThis"></div>
							<?php endif; ?>
							<!--end sharethis-->
                        
                		</li>
                        
                        <li>                        
						<?php if($data[THEME_SHORTNAME.'facebook_like_button'] == "true"): ?>
                            <div class="fb-like" data-href="<?php echo get_permalink(); ?>" data-send="false" data-layout="button_count" data-width="100" data-show-faces="false"></div>
                        <?php endif; ?>
                            
                        </li>
                        </ul>
				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>